Package org.eclipse.net4j.util.lifecycle

## Class LifecycleEventAdapter

- java.lang.Object
- - org.eclipse.net4j.util.lifecycle.LifecycleEventAdapter

- All Implemented Interfaces:
    `java.util.EventListener`, `IListener`

      public class LifecycleEventAdapter
      extends java.lang.Object
      implements IListener

  A `listener` that dispatches lifecycle `events` to methods that can be overridden by extenders.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LifecycleEventAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `notifyEvent​(IEvent event)` |
    `protected void` | `notifyLifecycleEvent​(ILifecycleEvent event)` |
    `protected void` | `notifyOtherEvent​(IEvent event)` |
    `protected void` | `onAboutToActivate​(ILifecycle lifecycle)` |
    `protected void` | `onAboutToDeactivate​(ILifecycle lifecycle)` |
    `protected void` | `onActivated​(ILifecycle lifecycle)` |
    `protected void` | `onDeactivated​(ILifecycle lifecycle)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleEventAdapter

          public LifecycleEventAdapter()

  - ### Method Detail

    - #### notifyEvent

          public final void notifyEvent​(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### notifyLifecycleEvent

          protected void notifyLifecycleEvent​(ILifecycleEvent event)

    - #### notifyOtherEvent

          protected void notifyOtherEvent​(IEvent event)

    - #### onAboutToActivate

          protected void onAboutToActivate​(ILifecycle lifecycle)

    - #### onActivated

          protected void onActivated​(ILifecycle lifecycle)

    - #### onAboutToDeactivate

          protected void onAboutToDeactivate​(ILifecycle lifecycle)

    - #### onDeactivated

          protected void onDeactivated​(ILifecycle lifecycle)